HaruEncoder::getByteType
HaruEncoder::getUnicode
HaruEncoder
PHP Manual

# HaruEncoder::getType

(PECL haru >= 0.0.1)

HaruEncoder::getType — Get the type of the encoder

### Description

int HaruEncoder::getType ( void )

Get the type of the encoder.

### Parameters

This function has no parameters.

### Return Values

Returns the type of the encoder. The result is one of the following values:

- `HaruEncoder::TYPE_SINGLE_BYTE` - the encoder is for single byte characters.
- `HaruEncoder::TYPE_DOUBLE_BYTE` - the encoder is for multibyte characters.
- `HaruEncoder::TYPE_UNINITIALIZED` - the encoder is not initialized.
- `HaruEncoder::UNKNOWN` - the encoder is invalid.

### Errors/Exceptions

Throws a HaruException on error.

HaruEncoder::getByteType
HaruEncoder::getUnicode
HaruEncoder
PHP Manual